Skip to content

Translation Roles v1

Reference for the Translation Roles v1 endpoints on Roblox.

Base URL: https://translationroles.roblox.com

Method Path Name
PATCH /v1/game-localization-roles/games/:gameId patchGameLocalizationRolesGamesGameid
GET /v1/game-localization-roles/games/:gameId/current-user/roles getGameLocalizationRolesGamesGameidCurrentUserRoles
GET /v1/game-localization-roles/games/:gameId/roles/:role/assignees getGameLocalizationRolesGamesGameidRolesRoleAssignees
GET /v1/game-localization-roles/roles/:role/current-user getGameLocalizationRolesRolesRoleCurrentUser

PATCH /v1/game-localization-roles/games/:gameId

Assigns or revokes a role

Usage
import { fetchApi } from 'rozod';
import { patchGameLocalizationRolesGamesGameid } from 'rozod/endpoints/translationrolesv1';
const data = await fetchApi(patchGameLocalizationRolesGamesGameid, {
gameId: /* integer */,
body: { /* ... */ }
});
Name Type Required Description
gameId integer Yes The id of the game

Type: UpdateRoleRequest.optional()

Type: unknown

Status Description
400 3: Invalid game id
4: Invalid assignee id
6: Request body can't be null
7: The role you are assigning has reached max limit
401 0: Authorization has been denied for this request.
403 0: Token Validation Failed
1: You must be authorized to use this endpoint
429 5: Too many attempts. Please try again later.
503 2: Feature is disabled

getGameLocalizationRolesGamesGameidCurrentUserRoles

Section titled “getGameLocalizationRolesGamesGameidCurrentUserRoles”

GET /v1/game-localization-roles/games/:gameId/current-user/roles

Retrieves the list of roles granted to current logged-in user

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesGamesGameidCurrentUserRoles } from 'rozod/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesGamesGameidCurrentUserRoles, {
gameId: /* integer */
});
Name Type Required Description
gameId integer Yes The id of the game
Field Type Description
data string[]
Status Description
400 3: Invalid game id
401 0: Authorization has been denied for this request.
503 2: Feature is disabled

getGameLocalizationRolesGamesGameidRolesRoleAssignees

Section titled “getGameLocalizationRolesGamesGameidRolesRoleAssignees”

GET /v1/game-localization-roles/games/:gameId/roles/:role/assignees

Gets list of users assigned a specific role in a game.

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesGamesGameidRolesRoleAssignees } from 'rozod/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesGamesGameidRolesRoleAssignees, {
gameId: /* integer */,
role: /* unknown */
});
Name Type Required Description
gameId integer Yes The id of the game
role unknown Yes The Roblox.GameLocalization.Client.GameLocalizationRoles.GameLocalizationRoleType
Field Type Description
data object[] See below

data[] item fields:

Field Type Description
id number
name string
type `“user” “group”
Status Description
400 3: Invalid game id
401 0: Authorization has been denied for this request.
403 1: You must be authorized to use this endpoint
503 2: Feature is disabled

getGameLocalizationRolesRolesRoleCurrentUser

Section titled “getGameLocalizationRolesRolesRoleCurrentUser”

GET /v1/game-localization-roles/roles/:role/current-user

Gets the list of games and associated role assignment info for the requested user and role.

Usage
import { fetchApi } from 'rozod';
import { getGameLocalizationRolesRolesRoleCurrentUser } from 'rozod/endpoints/translationrolesv1';
const data = await fetchApi(getGameLocalizationRolesRolesRoleCurrentUser, {
role: /* unknown */,
exclusiveStartKey: /* string? */,
pageSize: /* integer? */,
groupId: /* integer? */
});
Name Type Required Description
role unknown Yes The Roblox.GameLocalization.Client.GameLocalizationRoles.GameLocalizationRoleType
exclusiveStartKey string? No Part of pagination. Last primary key of returned items in previous operation.
pageSize integer? No Part of pagination. Maximum number of items that might be returned in the page.
groupId integer? No Optional seleted groupId of resources requested for the user and role.
Field Type Description
games object[] See below
previousPageCursor string
nextPageCursor string

games[] item fields:

Field Type Description
gameId number
assignee object See below

assignee fields:

Field Type Description
assigneeType `“user” “group”
id number
Status Description
400 10: Invalid page size
11: Maximum page size exceeded
12: Invalid exclusive start key
401 0: Authorization has been denied for this request.
500 0: An unknown error occurred
503 2: Feature is disabled